# Interface IFileService

Namespace
  adas_core.Application.Services.Interfaces

Assembly
  adas-core.Application.dll

    public interface IFileService

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### CopyUpdateFiles(ICollection<IFormFile>)

Copies the provided update files to the appropriate location for processing or deployment.

    Task<bool> CopyUpdateFiles(ICollection<IFormFile> files)

#### Parameters

`files` ICollection<IFormFile>

  The collection of update files to be copied.

#### Returns

Task<bool>

  A task that represents the asynchronous operation. The task result contains a boolean value indicating whether the copy operation succeeded.

### GetAllAssetFile(AssetTheme)

Retrieves all asset files for the specified asset theme as a list of asset data transfer objects.

    List<AssetDto> GetAllAssetFile(FileEnum.AssetTheme themeParse)

#### Parameters

`themeParse` FileEnum.AssetTheme

  The asset theme used to retrieve the corresponding assets.

#### Returns

List<AssetDto>

  A List<T> containing the asset data transfer objects for the specified theme.

### GetFilesInDirectory(string)

Retrieves a list of file names from the specified directory path.

    List<string> GetFilesInDirectory(string directoryPath)

#### Parameters

`directoryPath` string

  The path of the directory from which to retrieve the files.

#### Returns

List<string>

  A list of strings representing the names of the files in the specified directory.

### UploadAssetFiles(ICollection<IFormFile>, AssetTheme)

Uploads the provided asset files categorized by the specified theme, returning a value indicating whether the operation completed successfully.

    Task<bool> UploadAssetFiles(ICollection<IFormFile> files, FileEnum.AssetTheme themeParse)

#### Parameters

`files` ICollection<IFormFile>

  The collection of uploaded form files to process and store as assets.

`themeParse` FileEnum.AssetTheme

  The asset theme used to classify and organize the uploaded files.

#### Returns

Task<bool>

  A task that resolves to `true` if the asset files were uploaded successfully; otherwise, `false`.